/* textmodify.h - part of ziproxy package
 * 2002 Juraj Variny<variny@naex.sk>
 *
 * Released subject to GNU General Public License
 */

extern int undo_name (char* path);
extern int modify_img_src(char* inbuf, char** outbuf);

#ifdef GZIP
//Substrings for compressible data types under application/. Matches strings with
//leading "x-" too.
static char* compressible[] = 
{
	"shockwave-flash", "msword", "msexcel", "mspowerpoint", "rtf", "postscript",  
	"java", "jar", "javascript", "staroffice", "vnd.", "futuresplash", 
	"asp", "class", "font", "truetype-font", "php", "cgi", "executable",
	"shellscript", "perl", "python", "awk", "dvi", ""
};

extern int gzip(char* inbuf, int insize, char** outbuf, int *outsize);
#endif


